// MotionController_1203.h: interface for the CMotionController_1203 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "MotionControllerBase.h"

class CMotionController_1203 : public CMotionControllerBase
{
public:
    CMotionController_1203(int index);
    virtual ~CMotionController_1203();

    BOOL Init(int& nNoOfMtr) override;
    void Close() override;

    // get the IOs status of the motor
    unsigned short GetMotionIOStatus(const CMtrProfile& mtrProfile) override;

    //  get Motion status of motor
    int GetMotionStatus(const CMtrProfile& mtrProfile) override;

    //  get Motor Pos value
    double GetMtrPos(const CMtrProfile& mtrProfile) override;

    //  get position error value
    double GetPosErr(const CMtrProfile& mtrProfile) override;

private:
};
